package nl.amis.spring;
import java.util.Iterator;
import java.util.List;
import nl.amis.spring.hrm.EmpDAO;
import nl.amis.spring.hrm.HrmService;
import nl.amis.spring.hrm.Employee;
import nl.amis.spring.hrm.HrmServicePreSpring;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class HrmClient extends RuntimeException  {
  public HrmClient() {
  }

public static void main(String[] args)  throws Exception {
/*
    HrmService hrmService = new HrmServicePreSpring();        
    Iterator empIter = hrmPreSpringService.getAllEmployees().iterator();
    while (empIter.hasNext()) {
      Employee emp = (Employee)empIter.next();
      System.out.println(emp.getLastName()+" ("+emp.getJobTitle()+")");
    }//while

  */  
    ApplicationContext ctx = new ClassPathXmlApplicationContext("SpringConfig.xml");
    HrmService hrmService = (HrmService)ctx.getBean("hrmService");

    Iterator empIter = hrmService.getAllEmployees().iterator();
    while (empIter.hasNext()) {
      Employee emp = (Employee)empIter.next();
      System.out.println(emp.getLastName()+" ("+emp.getJobTitle()+")");
    }//while
    System.out.println("The Salary Sum = "+hrmService.getSalarySum());
    
    
    
}//main

}

