package nl.amis.client.hrm.service;
import java.util.Collection;
import java.util.Iterator;
import nl.amis.hrm.domain.Employee;
import nl.amis.hrm.service.HrmService;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class HrmServiceClient  {

  /**
   * 
   * @param args
   */
public static void main(String[] args)  throws Exception {
    ApplicationContext ctx = new ClassPathXmlApplicationContext("hrm.xml");
    HrmService hrmService = (HrmService)ctx.getBean("hrmService");
    Collection employees = hrmService.getAllEmployees();
    Iterator empsIterator = employees.iterator();
    System.out.println("Employee returned by the HrmService:");
    System.out.println("====================================");
    while (empsIterator.hasNext()) {
      Employee emp = (Employee)empsIterator.next();      
      System.out.println(emp.getFirstName()+" "+emp.getLastName()+" ("+emp.getJobTitle()+") making "+emp.getSalary() );
    }
    
  }
}