package nl.amis.hrm.dao;
import java.util.Collection;
import nl.amis.hrm.domain.Employee;

public interface EmployeeDao  {

  public Employee findEmployeeByName(String lastName);
  
  public Collection getAllEmployees();
  
  // find all employees with the same JobTitle as our employee
  public Collection findColleagues(Employee employee); 
  
  public void persistEmployee(Employee employee);
  
  public Employee createEmployee();
  
  public void removeEmployee(Employee employee);
  
  
}