package nl.amis.hrm.service;
import java.util.Iterator;
import java.util.Vector;
import nl.amis.hrm.dao.EmployeeDao;
import java.util.Collection;
import nl.amis.hrm.domain.Employee;

public class HrmServiceImpl implements HrmService  {

  private EmployeeDao employeeDao; 

  public HrmServiceImpl() {
  }

  public void setEmployeeDao(EmployeeDao employeeDao) {
    this.employeeDao = employeeDao;
  }


  public Collection getAllEmployees() {
    Collection employees = employeeDao.getAllEmployees();
    if (true) return employees; // switch to turn on or off the proper behavior
    Collection reversedEmployees = new Vector();
    Object[] emps = employees.toArray();
    for (int i=emps.length-1;i>=0;i--) {
      reversedEmployees.add(emps[i]);
    }
    return reversedEmployees;
  }

  public void raiseAllSalaries(float percentage) {
    Collection employees = employeeDao.getAllEmployees();
    Iterator empIter = employees.iterator();
    while (empIter.hasNext()) {
      Employee employee = (Employee)empIter.next();
      employee.setSalary(new Float(employee.getSalary().floatValue()*percentage));
    }
  }

  public void promoteToNewJob(Employee employee, String newJobTitle) {
    employee.setJobTitle(newJobTitle);
  }
}